ComplexKeyHashMap (Groovy 3.0.9)

Package org.codehaus.groovy.util

## Class ComplexKeyHashMap

- java.lang.Object
- - org.codehaus.groovy.util.ComplexKeyHashMap

- Direct Known Subclasses:
    `SingleKeyHashMap`, `TripleKeyHashMap`

      public class ComplexKeyHashMap
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ComplexKeyHashMap.Entry` |
    `static interface` | `ComplexKeyHashMap.EntryIterator` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static int` | `DEFAULT_CAPACITY` |
    `protected static int` | `MAXIMUM_CAPACITY` |
    `protected static int` | `MINIMUM_CAPACITY` |
    `protected int` | `size` |
    `protected ComplexKeyHashMap.Entry[]` | `table` |
    `protected int` | `threshold` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComplexKeyHashMap()` |
    `ComplexKeyHashMap​(boolean b)` |
    `ComplexKeyHashMap​(int expectedMaxSize)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `ComplexKeyHashMap.EntryIterator` | `getEntrySetIterator()` |
    `ComplexKeyHashMap.Entry[]` | `getTable()` |
    `static int` | `hash​(int h)` |
    `void` | `init​(int initCapacity)` |
    `boolean` | `isEmpty()` |
    `void` | `resize​(int newLength)` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### table

          protected ComplexKeyHashMap.Entry[] table

    - #### DEFAULT_CAPACITY

          protected static final int DEFAULT_CAPACITY

      See Also:
        Constant Field Values

    - #### MINIMUM_CAPACITY

          protected static final int MINIMUM_CAPACITY

      See Also:
        Constant Field Values

    - #### MAXIMUM_CAPACITY

          protected static final int MAXIMUM_CAPACITY

      See Also:
        Constant Field Values

    - #### size

          protected int size

    - #### threshold

          protected transient int threshold

  - ### Constructor Detail

    - #### ComplexKeyHashMap

          public ComplexKeyHashMap()

    - #### ComplexKeyHashMap

          public ComplexKeyHashMap​(boolean b)

    - #### ComplexKeyHashMap

          public ComplexKeyHashMap​(int expectedMaxSize)

  - ### Method Detail

    - #### hash

          public static int hash​(int h)

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### clear

          public void clear()

    - #### init

          public void init​(int initCapacity)

    - #### resize

          public void resize​(int newLength)

    - #### getTable

          public ComplexKeyHashMap.Entry[] getTable()

    - #### getEntrySetIterator

          public ComplexKeyHashMap.EntryIterator getEntrySetIterator()